Complete onboarding
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me/complete-onboarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me/complete-onboarding"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)curl --request POST \
--url https://api-staging.keystoneos.xyz/v1/platforms/me/complete-onboarding \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auth0_org_id": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "<string>",
"logo_url": "<string>",
"support_email": "<string>",
"support_url": "<string>",
"onboarding_completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Platforms
Complete onboarding
Mark the platform’s initial onboarding as complete. Idempotent - calling this when onboarding is already complete returns the platform unchanged.
POST
/
v1
/
platforms
/
me
/
complete-onboarding
Complete onboarding
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me/complete-onboarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me/complete-onboarding"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)curl --request POST \
--url https://api-staging.keystoneos.xyz/v1/platforms/me/complete-onboarding \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auth0_org_id": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "<string>",
"logo_url": "<string>",
"support_email": "<string>",
"support_url": "<string>",
"onboarding_completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Auth0 JWT access token. See Authentication for details.
Response
Successful Response